Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/problems/postapi-v-1-problems-display-id-tasks

# Create task for problem request

POST `https://{tenant}.atomicwork.com/api/v1/problems/{display_id}/tasks`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### display\_id (path, string, required)

The problem ID

## Body

#### name (body, string)

#### description (body, string)

#### due\_date (body, string)

#### assignee (body, integer)

#### status (body, enum (string))

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/problems/{display_id}/tasks' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"name": "string", "description": "string", "due_date": "date", "assignee": 0, "status": "OPEN"}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/problems/{display_id}/tasks', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"name": "string", "description": "string", "due_date": "date", "assignee": 0, "status": "OPEN"}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/problems/{display_id}/tasks',
    headers={'X-Api-Key': '<api-key>'},
    json={"name": "string", "description": "string", "due_date": "date", "assignee": 0, "status": "OPEN"}
)
data = res.json()
```
